-module(eWSrv).

-include("wsCom.hrl").

-export([
   startWSrv/3
   , stopWSrv/1
]).

startWSrv(WSrvName, Port, WsOpts) ->
   TWsOpts = lists:keystore(conMod, 1, WsOpts, {conMod, wsHttp}),
   WsMod = ?wsGLV(wsMod, WsOpts, wsEgHer),
   LWsOpts = lists:keystore(conArgs, 1, TWsOpts, {conArgs, WsMod}),
   case ?wsGLV(sslOpts, WsOpts, false) of
      false ->
         {ok, _} = eNet:openTcp(WSrvName, Port, LWsOpts);
      _ ->
         {ok, _} = eNet:openSsl(WSrvName, Port, LWsOpts)
   end.


stopWSrv(WSrvName) ->
   ListenName = wsUtil:lsName(WSrvName),
   eNet:close(ListenName),
   supervisor:terminate_child(eWSrv_sup, WSrvName),
   supervisor:delete_child(eWSrv_sup, WSrvName).